Bug 1012337 - Review Request: cajun-jsonapi - cross-platform C++ header library for JSON
Review Request: cajun-jsonapi - cross-platform C++ header library for JSON
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 06:04 EDT by Daniel Pocock
Modified: 2016-03-03 11:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 11:28:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Pocock 2013-09-26 06:04:23 EDT
Spec URL: https://raw.github.com/cajun-jsonapi/cajun-jsonapi/master/cajun-jsonapi.spec
SRPM URL: http://www.readytechnology.co.uk/srpms/cajun-jsonapi-2.0.3-1.fc19.src.rpm
Description: cross-platform C++ header library for JSON
Fedora Account System Username: pocock

CAJUN JSON API is a build dependency for the next version of reSIProcate
Comment 1 Peter Lemenkov 2013-12-24 12:53:33 EST
I'll review it.
Comment 2 Peter Lemenkov 2013-12-24 13:04:13 EST
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/cajun-jsonapi-devel-2.0.3-1.fc21.ppc.rpm ../SRPMS/cajun-jsonapi-2.0.3-1.fc21.src.rpm 
cajun-jsonapi-devel.ppc: W: wrong-file-end-of-line-encoding /usr/share/doc/cajun-jsonapi-devel/Readme.txt
cajun-jsonapi-devel.ppc: W: wrong-file-end-of-line-encoding /usr/share/doc/cajun-jsonapi-devel/ReleaseNotes.txt

^^^ Please convert these files to UTF-8.

2 packages and 0 specfiles checked; 0 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

+/- The package almost meets the Packaging Guidelines. I see few things that should be improved. 

1. First of all - this package should be marked as noarch since it doesn't depend on any arch-specific entity. So please remove

%define debug_package %{nil}

and add the following line instead:

BuildArch:      noarch

2. Also you may remove unneeded "%defattr(-,root,root,-)" in the %files section. It becomes obsolete since Fedora Core 6 or RHEL 5.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


So please fix/comment the issues mentioned above and I'll finish it.
Comment 3 Peter Lemenkov 2013-12-24 13:17:30 EST
(In reply to Peter Lemenkov from comment #2)
> REVIEW:
> 
> Legend: + = PASSED, - = FAILED, 0 = Not Applicable
> 
> + rpmlint is almost silent
> 
> sulaco ~/rpmbuild/SPECS: rpmlint
> ../RPMS/ppc/cajun-jsonapi-devel-2.0.3-1.fc21.ppc.rpm
> ../SRPMS/cajun-jsonapi-2.0.3-1.fc21.src.rpm 
> cajun-jsonapi-devel.ppc: W: wrong-file-end-of-line-encoding
> /usr/share/doc/cajun-jsonapi-devel/Readme.txt
> cajun-jsonapi-devel.ppc: W: wrong-file-end-of-line-encoding
> /usr/share/doc/cajun-jsonapi-devel/ReleaseNotes.txt
> 
> ^^^ Please convert these files to UTF-8.

I mean Unix. Unix line endings.
Comment 4 Peter Lemenkov 2013-12-24 13:18:17 EST
Ok, I see that Daniel fixed everything. I don't see any other issues so this package is


APPROVED.
Comment 5 Peter Lemenkov 2014-01-10 06:22:18 EST
Ping, Daniel!
You didn't requested fedora-cvs flag yet.
Comment 6 Daniel Pocock 2014-01-10 06:25:03 EST
Sorry, I didn't realise, the flag is set to "?" now
Comment 7 Peter Lemenkov 2014-01-10 06:36:38 EST
(In reply to Daniel Pocock from comment #6)
> Sorry, I didn't realise, the flag is set to "?" now

Daniel, that's still not enough :). You need to fill this template and post it as well:

https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages
Comment 8 Daniel Pocock 2014-01-10 07:19:39 EST
New Package SCM Request
=======================
Package Name: cajun-jsonapi
Short Description: cross-platform C++ header library for JSON
Owners: pocock
Branches: f19 f20 el6
InitialCC:
Comment 9 Gwyn Ciesla 2014-01-10 08:16:00 EST
Git done (by process-git-requests).
Comment 10 Peter Lemenkov 2014-01-14 03:40:30 EST
Daniel, it looks that you forgot to submit cajun-jsonapi package for EL6:

https://admin.fedoraproject.org/updates/search/cajun-jsonapi
Comment 11 Daniel Pocock 2014-01-14 04:04:26 EST
I had tried to but I get an error from 

https://admin.fedoraproject.org/updates/new/

it says

"cajun-jsonapi-2.0.3-1.el6 not tagged as an update candidate"

Do I need to make some extra tag?  It already appears to be tagged.  Do I need to wait for it to be stable in Fedora before it can propagate to EPEL or do I need to request some additional approval for it?

It is in the repository for EPEL6

http://pkgs.fedoraproject.org/cgit/cajun-jsonapi.git/tree/?h=el6

and it is built on EPEL6:

http://koji.fedoraproject.org/koji/buildinfo?buildID=489563
Comment 12 Peter Lemenkov 2016-03-03 11:28:37 EST
Ok, closing this - the package was built long time ago.

Note You need to log in before you can comment on or make changes to this bug.